ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

CmmCallConv

Synopsis

- data ParamLocation
  - = RegisterParam GlobalReg
  - | StackParam ByteOff
- assignArgumentsPos :: DynFlags -> ByteOff -> Convention -> (a -> CmmType) -> [a] -> (ByteOff, [(a, ParamLocation)])
- assignStack :: DynFlags -> ByteOff -> (a -> CmmType) -> [a] -> (ByteOff, [(a, ParamLocation)])
- realArgRegsCover :: DynFlags -> [GlobalReg]

# Documentation

data ParamLocation #

Constructors

RegisterParam GlobalReg |
StackParam ByteOff |

Instances

Outputable ParamLocation # |
Methods ppr :: ParamLocation -> SDoc # pprPrec :: Rational -> ParamLocation -> SDoc #

assignArgumentsPos :: DynFlags -> ByteOff -> Convention -> (a -> CmmType) -> [a] -> (ByteOff, [(a, ParamLocation)]) #

Given a list of arguments, and a function that tells their types, return a list showing where each argument is passed

assignStack :: DynFlags -> ByteOff -> (a -> CmmType) -> [a] -> (ByteOff, [(a, ParamLocation)]) #

realArgRegsCover :: DynFlags -> [GlobalReg] #